Package org.springframework.http.client.observation

# Enum Class ClientHttpObservationDocumentation

java.lang.Object
java.lang.Enum<ClientHttpObservationDocumentation>
org.springframework.http.client.observation.ClientHttpObservationDocumentation

All Implemented Interfaces:
  `io.micrometer.observation.docs.ObservationDocumentation`, `Serializable`, `Comparable<ClientHttpObservationDocumentation>`, `Constable`

public enum ClientHttpObservationDocumentation extends Enum<ClientHttpObservationDocumentation> implements io.micrometer.observation.docs.ObservationDocumentation
Documented `KeyValues` for `HTTP client` observations.

This class is used by automated tools to document KeyValues attached to the HTTP client observations.

Since:
  6.0
Author:
  Brian Clozel

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static enum`
`ClientHttpObservationDocumentation.HighCardinalityKeyNames`
`static enum`
`ClientHttpObservationDocumentation.LowCardinalityKeyNames`

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`HTTP_CLIENT_EXCHANGES`
HTTP exchanges observations for clients.

## Field Summary

### Fields inherited from interface io.micrometer.observation.docs.ObservationDocumentation

`EMPTY, EMPTY_EVENT_NAMES`

## Method Summary

Modifier and Type
Method
Description
`static ClientHttpObservationDocumentation`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static ClientHttpObservationDocumentation[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface io.micrometer.observation.docs.ObservationDocumentation

`getContextualName, getDefaultConvention, getEvents, getHighCardinalityKeyNames, getLowCardinalityKeyNames, getName, getPrefix, observation, observation, observation, start, start, start`

## Enum Constant Details

### HTTP_CLIENT_EXCHANGES

public static final ClientHttpObservationDocumentation HTTP_CLIENT_EXCHANGES
HTTP exchanges observations for clients.

## Method Details

### values

public static ClientHttpObservationDocumentation[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static ClientHttpObservationDocumentation valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null